
QGIS Application - Bug report #248

Qgis crashes on large shapefile

2006-08-27 08:45 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10307

Description

When using Qgis, it crashes out with a seg fault when I'm loading a large shapefile.  The file contains all the 911 roads in the state of

Maine.  They offer these files on a county by county basis, so it's not imperitive.  

The file is anyone is interested is at:

http://apollo.ogis.state.me.us/data/state/e911rds_01062006s.zip

The crash out put is as follows:

ESRI Shapefiles (.shp *.SHP);;Spatial Data Transfer Standard (*catd.ddf *CATD.DDF);;MapInfo (.mif .tab *.MIF

*.TAB);;Geography Markup Language (.gml *.GML);;

[[QgsComposer]]::saveWindowState

[[QgsComposer]]::saveWindowState

[[ScimInputContextPlugin]]()

QInputContext: no input method context available

QInputContext: no input method context available

Adding field with name E911RDS_ID, decoded from UTF-8

Adding field with name FMSRC, decoded from UTF-8

Adding field with name FMPROCSS, decoded from UTF-8

Adding field with name FMUPDORG, decoded from UTF-8

Adding field with name FMSRCORG, decoded from UTF-8

Adding field with name FMUPDDAT, decoded from UTF-8

Adding field with name AMUPDORG, decoded from UTF-8

Adding field with name AMUPDDAT, decoded from UTF-8

Adding field with name SOURCE, decoded from UTF-8

Adding field with name E911, decoded from UTF-8

Adding field with name PREDIR, decoded from UTF-8

Adding field with name STREET, decoded from UTF-8

Adding field with name SUFFIX, decoded from UTF-8

Adding field with name POSTDIR, decoded from UTF-8

Adding field with name RDNAME, decoded from UTF-8

Adding field with name L_ADD_FROM, decoded from UTF-8

Adding field with name L_ADD_TO, decoded from UTF-8

Adding field with name R_ADD_FROM, decoded from UTF-8

Adding field with name R_ADD_TO, decoded from UTF-8

Adding field with name L_RANGE, decoded from UTF-8

Adding field with name R_RANGE, decoded from UTF-8

Adding field with name RANGE, decoded from UTF-8

Adding field with name TOWN, decoded from UTF-8

Adding field with name MEGIS_ID, decoded from UTF-8

Adding field with name READD, decoded from UTF-8

Adding field with name LCITY, decoded from UTF-8
Adding field with name RCITY, decoded from UTF-8

Adding field with name LESN, decoded from UTF-8

Adding field with name RESN, decoded from UTF-8

Adding field with name SHAPE_LEN, decoded from UTF-8

QObject::connect: No such signal [[QgsVectorDataProvider]]::repaintRequested()

QObject::connect:  (sender name:   'unnamed')

QObject::connect:  (receiver name: 'unnamed')

vvvvvvvvvvvvvvvvv PROJ4 TEXT vvvvvvvvvvvvvvv

+proj=utm +zone=19 +ellps=GRS80 +datum=NAD83 +units=m +no_defs

^

^^^^^^^^^^^^^

^ PROJ4 TEXT ^

^^^^^^^^^^^

^

[[QgsSpatialRefSys]]::createFromProj4 wholetext match on name failed, trying proj4string match

 [[QgsSpatialRefSys]]::getRecord failed :  users qgis.db not found

[[QgsSpatialRefSys]]::createFromProj4 globbing search for srsid from this proj string

[[QgsSpatialRefSys]]::findMatchingProj -------> MATCH FOUND in srs.db srsid: 1477

[[QgsSpatialRefSys]]::createFromProj4 globbing search for srsid returned srsid: 1477

[[QgsSpatialRefSys]]::createFromProj4 wholetext match on name failed, trying proj4string match

 [[QgsSpatialRefSys]]::getRecord failed :  users qgis.db not found

[[QgsSpatialRefSys]]::createFromProj4 globbing search for srsid from this proj string

[[QgsSpatialRefSys]]::findMatchingProj -------> MATCH FOUND in srs.db srsid: 1477

[[QgsSpatialRefSys]]::createFromProj4 globbing search for srsid returned srsid: 1477

QInputContext: no input method context available

QInputContext: no input method context available

Selection rectangle is 139786.8191001138766296,4745679.7750523472204804 :

857150.7744015250355005,5269185.7249983334913850

Setting spatial filter using POLYGON ((139786.81910011 4745679.77505235, 139786.81910011 5269185.72499833,

857150.77440153 5269185.72499833, 857150.77440153 4745679.77505235, 139786.81910011 4745679.77505235))

Segmentation fault

History

#1 - 2006-10-12 05:31 AM - Redmine Admin

Crashes also in 0.8.0 :-(

#2 - 2006-11-10 03:23 PM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

This was caused with the fact that some of the features were 2.5D [[MultiLineStrings]].

WKB type of feature was reported as [[MultiLineString]] (without Z value), although in fact WKB type for the parts was [[LineString]]25D.

Fixed in commit:60b96fc9 (SVN r6073).

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
